aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/jogl/ChangeLog8
-rw-r--r--dev-java/jogl/Manifest3
-rw-r--r--dev-java/jogl/jogl-2.0_rc8-r1.ebuild100
3 files changed, 109 insertions, 2 deletions
diff --git a/dev-java/jogl/ChangeLog b/dev-java/jogl/ChangeLog
index 16f24ca79..23d373902 100644
--- a/dev-java/jogl/ChangeLog
+++ b/dev-java/jogl/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for dev-java/jogl
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*jogl-2.0_rc8-r1 (03 Feb 2013)
+
+ 03 Feb 2013; Guillaume Horel <guillaume.horel@gmail.com>
+ +jogl-2.0_rc8-r1.ebuild:
+ import jogl:2 from java-overlay
+
29 May 2012; S├ębastien Fabbro <bicatali@gentoo.org> jogl-1.1.1.ebuild:
adapted gluegen dependency
diff --git a/dev-java/jogl/Manifest b/dev-java/jogl/Manifest
index 0e609d9c3..d93de6dc3 100644
--- a/dev-java/jogl/Manifest
+++ b/dev-java/jogl/Manifest
@@ -1 +1,2 @@
-DIST jogl-1.1.1-src.zip 3638019 RMD160 d7689175fb18ec50bb5a76ce6020ceb029c00203 SHA1 40059f355ea9a022c06657f18d610e3141e28d07 SHA256 dbd34718f15e6f45deb2d96bc328c3d54aa2f3a2160a4593997506c837d859a0
+DIST jogl-1.1.1-src.zip 3638019 SHA256 dbd34718f15e6f45deb2d96bc328c3d54aa2f3a2160a4593997506c837d859a0
+DIST jogl-v2.0-rc8.tar.7z 18148821 SHA256 6d2338514b2e6c7ac61c59e0142d95d6b37434eefafecbbc2a8102f23f4f3e93 SHA512 ce335990dac4c868705f9cd041cab2e97050efcd9b6b0a8fa01e070aa7ee2f27162cb96ebbbd5e9f04a1aa9e7661dde6aa0ba1d02565f38fa76a39deeb48a500 WHIRLPOOL e38c1a7d6727f7dd8765d085ce2388afd7070c0625491038e84d26b8e14bb7fdaa5a89e75f742b5c30500cb02a198c5226d5ee743b1347acd31c6e555d281777
diff --git a/dev-java/jogl/jogl-2.0_rc8-r1.ebuild b/dev-java/jogl/jogl-2.0_rc8-r1.ebuild
new file mode 100644
index 000000000..fb6d64e3a
--- /dev/null
+++ b/dev-java/jogl/jogl-2.0_rc8-r1.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+###############################################################################
+# WARNING: don't add to main tree without fixing QA issues first!
+###############################################################################
+
+EAPI=4
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-ant-2
+
+MY_PV=v${PV/_/-}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Java(TM) Binding fot the OpenGL(TM) API"
+HOMEPAGE="http://jogamp.org/jogl/www/"
+SRC_URI="http://jogamp.org/deployment/${MY_PV}/archive/Sources/${MY_P}.tar.7z"
+
+LICENSE="BSD"
+SLOT="2"
+KEYWORDS="~amd64"
+IUSE="cg"
+
+COMMON_DEP="
+ dev-java/ant-core:0
+ dev-java/ant-junit:0
+ dev-java/antlr:0
+ dev-java/cpptasks:0
+ =dev-java/gluegen-${PV}:${SLOT}
+ dev-java/junit:4
+ dev-java/swt:3.7
+ x11-libs/libX11
+ x11-libs/libXxf86vm
+ virtual/opengl
+ cg? ( media-gfx/nvidia-cg-toolkit )"
+RDEPEND="${COMMON_DEP}
+ >=virtual/jre-1.5"
+DEPEND="${COMMON_DEP}
+ >=virtual/jdk-1.5
+ app-arch/p7zip
+ dev-java/ant-antlr:0
+ dev-java/ant-contrib:0
+ dev-java/ant-nodeps:0
+ dev-java/cpptasks:0"
+
+S=${WORKDIR}/${MY_P}
+
+src_unpack() {
+ default
+ unpack ./${MY_P}.tar
+}
+
+java_prepare() {
+ find -name '*.jar' -exec rm -v {} + || die
+
+ # Empty filesets are never out of date!
+ sed -i -e 's/<outofdate>/<outofdate force="true">/' make/build*xml || die
+}
+
+JAVA_PKG_BSFIX_NAME+=" build-jogl.xml build-nativewindow.xml build-newt.xml build-test.xml"
+JAVA_ANT_REWRITE_CLASSPATH="yes"
+
+EANT_BUILD_XML="make/build.xml"
+EANT_BUILD_TARGET="all"
+EANT_DOC_TARGET="" # FIXME there are a couple javadoc targets, pick one
+EANT_GENTOO_CLASSPATH="ant-core,antlr,swt-3.7,ant-junit"
+EANT_NEEDS_TOOLS="yes"
+EANT_ANT_TASKS="ant-antlr ant-contrib ant-junit ant-nodeps cpptasks"
+
+src_compile() {
+ EANT_EXTRA_ARGS+=" -Dcommon.gluegen.build.done=true"
+ EANT_EXTRA_ARGS+=" -Dgluegen.root=/usr/share/gluegen-${SLOT}/"
+ EANT_EXTRA_ARGS+=" -Dgluegen.jar=$(java-pkg_getjar gluegen-${SLOT} gluegen.jar)"
+ EANT_EXTRA_ARGS+=" -Dgluegen-rt.jar=$(java-pkg_getjar gluegen-${SLOT} gluegen-rt.jar)"
+
+ # FIXME don't build tests just yet
+ EANT_EXTRA_ARGS+=" -Djunit.jar=$(java-pkg_getjar --build-only junit-4 junit.jar)"
+
+ use cg && EANT_EXTRA_ARGS+=" -Djogl.cg=1 -Dx11.cg.lib=/usr/lib"
+
+ java-pkg-2_src_compile
+}
+
+EANT_TEST_TARGET="junit.run"
+# FIXME src_test
+
+src_install() {
+ # There are many more
+ java-pkg_dojar build/jar/*.jar
+ java-pkg_doso build/lib/*.so
+
+ if use doc; then
+ #java-pkg_dojavadoc javadoc_public
+ dodoc -r doc
+ fi
+ use source && java-pkg_dosrc src/jogl/classes/*
+}